Summary: Perl extension to telnet protocol
Name: Net-Telnet
%define prefix /usr
%define version 3.01
%define perlver 5.005
Version: %{version}
Release: 1a
Group: Networking/Utilities
Source: Net-Telnet-%{version}.tar.gz
Copyright: distributable
BuildRoot: /tmp/nettelnet-root
Requires: perl >= %{perlver}

%description
Net::Telnet allows you to make client connections to a TCP port
and do network I/O, especially to a port using the TELNET
protocol.  Simple I/O methods such as print, get, and getline are
provided.  More sophisticated interactive features are provided
because connecting to a TELNET port ultimately means communicating
with a program designed for human interaction.  These interactive
features include the ability to specify a timeout and to wait for
patterns to appear in the input stream, such as the prompt from a
shell.

%prep
%setup

rm -rf $RPM_BUILD_ROOT
archdir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*/.*\);\1;p'`
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/Net/Telnet
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/man/man3


%build
perl Makefile.PL prefix=%{prefix}
make
make test

%install
archdir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*/.*\);\1;p'`
sitedir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*\)/.*;\1;p'`
make install PREFIX=$RPM_BUILD_ROOT%{prefix} \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/man/man3 \
        PERL5LIB=$RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}

(cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/Net/Telnet;
        sed -e "s;$RPM_BUILD_ROOT;;" .packlist > .packlist.new;
        mv .packlist.new .packlist)

echo "%doc ChangeLog README" > rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${sitedir}/Net/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/Net/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/man/man3/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-list

%changelog
* Thu Aug 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release for linuxppc-1999

